Subject: Help needed with kexec on arm64

From: [email-masked] (AKASHI Takahiro)
Date: Thu, 19 May 2016 20:03:09 +0900

On Fri, May 13, 2016 at 12:45:04PM +0000, Harninder Rai wrote:
> Hello Takahiro Akashi,
> 
> > 
> > Apparently lack of memory is a cause of OOM killer, but the core file has
> > nothing to do with this issue.
> > I think that you don't have enough memory for the system yet.
> > 
> > -Takahiro AKASHI
> 
> 
> I moved to SD card based rootfs for booting the crash kernel but when I try to load the dump kernel, I get the following message
> Is there limitation with kexec that the crash kernel cannot be booted from anything apart from RAM?

I don't know what you did here exactly, but I don't think that
there is such a limitation.

> kexec -p ./vmlinux --initrd=./ramdisk_ls1012_openwrt.cpio.gz --append='console=ttyS1,115200 root=/dev/mmcblk0p1 earlycon=uart8250,mmio,0x21c0600ramdisk_size=0x2000000 default_hugepagesz=2m hugepagesz=2m hugepages=256 crashkernel=64M at 2240M memblock=debug'
> Memory for crashkernel is not reserved

This message is a hint. You have got the same one before, right?
Please check /proc/iomem and a dmesg log from the first kernel
with memblock=debug.

-Takahiro AKASHI

> Please reserve memory by passing"crashkernel=X at Y" parameter to kernel
> Then try to loading kdump kernel
> 
> Regards
> Harry++

-- 
Thanks,
-Takahiro AKASHI